# Tagzz name to Address

### Resolve Tagzz name to address

```url
GET /resolve
```

#### Query Param

<table><thead><tr><th width="212">Param</th><th>Description</th></tr></thead><tbody><tr><td><code>domainName</code></td><td>Domain name that the user has minted over the Tagzz platform</td></tr><tr><td><code>subDomain</code></td><td>Sub Domain name that has been added by user while adding the records, by default it is <code>main</code></td></tr></tbody></table>

#### Example

{% code overflow="wrap" %}

```bash
curl -X GET "https://api.tagzz.xyz/resolve?domainName=bruce&subDomain=main" \
-H "Accept: application/json"
```

{% endcode %}

#### Response

{% tabs %}
{% tab title="Status: 200 OK" %}

```json
{
  "msg": "Domain resolved",
  "resolvedData": "0x2480a8f1325b579b57922929c895ba4ecd47521c"
}
```

{% endtab %}

{% tab title="Status: 404 Not Found" %}

```json
{
  "msg": "No matching address found for the provided domainName and subDomain"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://tagzz.gitbook.io/tagzz-your-omnichain-identity/integration-guide/rest-api/tagzz-name-to-address.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
